
Figure - Bug #116236
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114577 (New): Launcher/SystemUI

【AF】【EVT3】【屏保】设置自定义屏保时，相册图片缩略图显示不正确
2023-02-14 14:54 - CD Test赵飞

Status: CLOSED Start date: 2023-02-14

Priority: Normal Due date: 2023-03-15

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0074.X101

Resolution: FIXED Degrated: No

Severity: Normal Verified Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

Reproducibility: Every time Fixed Version: 2023-03-11

Test Type: ST Root cause: 编码问题

Description

【前提条件】

1、设备已开机

2、设备中存在一些图片

【测试步骤】

1、进入设置 - 显示 - 屏保 -当前的屏保 - 自定义屏保

2、点击 “选择相册图片”

3、查看相册缩略图显示

4、点击缩略图进入图片列表查看

【预期结果】

3、相册缩略图显示正常

4、图片列表中图片显示正常

【实际结果】

3、相册缩略图显示为绿色网格

4、图片列表中图片显示为绿色网格

【日志】

见附件

History

#1 - 2023-02-14 17:36 - CD FW 曹覃刚

- Category changed from CD-FW to CD-APP

- Assignee changed from CD FW 曹覃刚 to CD APP-王营

#2 - 2023-02-15 13:38 - CD APP-王营

- Due date set to 2023-03-15

- Status changed from New to ASSIGNED

#3 - 2023-02-28 15:42 - CD APP-王营

待中控联调业务处理完毕再修改此问题
#4 - 2023-03-10 13:39 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-03-11

- Root cause set to 编码问题

■ Current conclusion

问题已解决，待验证

■ My analysis

图片加载过程中异常图片和loading状态的占位图使用了绿色网格图片，当前UI给出新的占位方式，使用固定颜色占位

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/185173

#5 - 2023-03-13 10:07 - CD APP-王营

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 100

#6 - 2023-03-13 10:09 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.D.user.01.00.C101.202303110019

3.13

验证通过

#7 - 2023-03-13 10:10 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 2.84 MB 2023-02-14 CD Test赵飞

screen-20230214-145241.mp4 25.7 MB 2023-02-14 CD Test赵飞
